Memory Stores
Update a memory item
Updates the specified memory item in the memory store.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametri del percorso
name
string
necessario
The name of the memory store.
memory_id
string
necessario
The ID of the memory item to update.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Corpo della richiesta
content
string
necessario
The updated content of the memory.
Risposte
The request has succeeded.
Corpo
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
necessario
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
necessario
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
necessario
The kind of the memory item.
Richiedi
POST /memory_stores/{name}/items/{memory_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json